//
//  ChartViewController.m
//  LGLChartDemo
//
//  Created by LGL on 2017/1/3.
//  Copyright © 2017年 luoguilin. All rights reserved.
//

#import "ChartViewController.h"
#import "LGLChart.h"

@interface ChartViewController ()

@end

@implementation ChartViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    switch (_type) {
        case LGLChartTypeHistogram1:
        {
            // 直方图1
            LGLHistogramView *histogram = [[LGLHistogramView alloc] initWithFrame:CGRectMake(0, 66, LGLChartScreenWidth, 302)];
            histogram.dayProfit = 10;
            histogram.saleAmount = 800;
            histogram.costAmount = 7500;
            histogram.scrapCost = 300;
            [self.view addSubview:histogram];
            
        }
            break;
            
        case LGLChartTypeHistogram2:
        {
             // 直方图2
             LGLHistogram *histogram = [[LGLHistogram alloc] initWithFrame:CGRectMake(0, 66, LGLChartScreenWidth, 302) saleAmount:1000 costAmount:800 scrapCost:75];
             [self.view addSubview:histogram];
        }
            break;
            
        case LGLChartTypeLineChart1:
        {
            // 折线图1
             LGLLineChartView *lineChart = [[LGLLineChartView alloc] initWithFrame:CGRectMake(0, 66, LGLChartScreenWidth, 350)];
             lineChart.monthProfit = 56;
             lineChart.saleAmounts = @[@344, @545, @979, @435, @346, @699, @706, @808];
             lineChart.grossProfits = @[@14, @15, @19, @24, @13, @16, @10, @18];
             lineChart.scrapCost = 25;
             [self.view addSubview:lineChart];
        }
            break;
            
        case LGLChartTypeLineChart2:
        {
             // 折线图2
             LGLLineChart *lineChart = [[LGLLineChart alloc] initWithFrame:CGRectMake(0, 66, LGLChartScreenWidth, 350) saleAmounts:@[@344, @545, @979, @435, @346, @699, @706, @808] grossProfits:@[@14, @15, @19, @24, @13, @16, @10, @18] scrapCost:25];
             [self.view addSubview:lineChart];
        }
            break;
    }
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
