//
//  LGLHistogramView.h
//  Test
//
//  Created by LGL on 2016/12/23.
//  Copyright © 2016年 ehoo100. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface LGLHistogramView : UIView
/* 直方图 */
// LGLHistogramView固定高度：302

// 今天毛利润
@property (nonatomic, assign) CGFloat dayProfit;
// 销售收入
@property (nonatomic, assign) CGFloat saleAmount;
// 商品成本
@property (nonatomic, assign) CGFloat costAmount;
// 报损成本(必须传，且在最后)
@property (nonatomic, assign) CGFloat scrapCost;

- (instancetype)initWithFrame:(CGRect)frame;
/** 初始化方法
 *  dayProfit:每日毛利润，saleAmount：每日销售额，costAmount：每日成本支出，scrapCost：每日报损成本  
 *  也可直接调用 initWithFrame 进行初始化
 */
- (instancetype)initWithFrame:(CGRect)frame dayProfit:(CGFloat)dayProfit saleAmount:(CGFloat)saleAmount costAmount:(CGFloat)costAmount scrapCost:(CGFloat)scrapCost;

@end
