//
//  LGLLineChartView.h
//  Test
//
//  Created by LGL on 2016/12/23.
//  Copyright © 2016年 ehoo100. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface LGLLineChartView : UIView
/* 折线图 */
// LGLLineChartView固定高度：350

// 月度毛利润
@property (nonatomic, assign) CGFloat monthProfit;
// 销售收入列表
@property (nonatomic, copy) NSArray *saleAmounts;
// 毛利润列表
@property (nonatomic, copy) NSArray *grossProfits;
// 月度报损成本(必须传，且在最后)
@property (nonatomic, assign) CGFloat scrapCost;

- (instancetype)initWithFrame:(CGRect)frame;
/** 
 *  monthProfit:月度毛利润，saleAmounts：每日销售额列表，grossProfits：每日毛利润列表，scrapCost：月度报损成本  
 *  也可直接调用 initWithFrame 进行初始化
 */
- (instancetype)initWithFrame:(CGRect)frame monthProfit:(CGFloat)monthProfit saleAmounts:(NSArray *)saleAmounts grossProfits:(NSArray *)grossProfits scrapCost:(CGFloat)scrapCost;
@end
